Subject: Re: Why is LRO off by default on ixgbe?

From: Ben Greear <[email-masked]>
Date: Fri, 25 Sep 2009 14:53:48 -0700

On 09/25/2009 02:43 PM, Herbert Xu wrote:
> On Fri, Sep 25, 2009 at 02:37:27PM -0700, Herbert Xu wrote:
>>
>>> Ok.  It seems GRO was enabled the whole time, but LRO is what gave me the
>>> extra performance boost.
>>>
>>> In this particular case, I'm not actually routing, though I do have ip-forward
>>> enabled, so I guess LRO will be OK as long as I'm careful...
>>
>> What? A driver is either GRO or LRO, it can't be both.  What
>> kernel version was this?
>
> Oh perhaps you mean LRO performed by hardware? That would make
> sense indeed.  It's also one of the reasons why we hope the hardware
> folks would switch over to GRO so we can enable it for everyone :)

I assume it's in hardware.  I am using ixgbe driver, 82599 chipset,
2.6.31 kernel.

GRO was showing as enabled the whole time in ethtool.  Turning on LRO gave me an extra
6Gbps (from 12Gbps -> 18Gbps) receive throughput, so it certainly had some affect!

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com